#include<iostream>

using namespace std;

long long x[50000];

int main(){

ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);	
	
long long n,k,j,i;	
	
cin >> n >> k;	
	
for(i=0;i<n;i++){	

cin >> x[i];

if(x[i]==k)
j=i;

}

if(j==n-1)
cout << x[0] << '\n';	
else
cout << x[j+1] << '\n';
	
	
	return 0;
}